List onboarded repositories for an organization
curl --request GET \
--url https://api.coderabbit.ai/v1/organizations/{organization_id}/repositories \
--header 'x-coderabbitai-api-key: <api-key>'import requests
url = "https://api.coderabbit.ai/v1/organizations/{organization_id}/repositories"
headers = {"x-coderabbitai-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-coderabbitai-api-key': '<api-key>'}};
fetch('https://api.coderabbit.ai/v1/organizations/{organization_id}/repositories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"repositories": [
{
"repository_id": "<string>",
"repository_name": "acme/backend",
"private": true,
"group_path": "<string>",
"is_installed": true
}
],
"next_cursor": "<string>"
}List onboarded repositories for an organization
Lists repositories that CodeRabbit currently records as active for an organization. The organization_id is the CodeRabbit organization UUID returned by GET /organizations. Enterprise plan only.
GET
/
v1
/
organizations
/
{organization_id}
/
repositories
List onboarded repositories for an organization
curl --request GET \
--url https://api.coderabbit.ai/v1/organizations/{organization_id}/repositories \
--header 'x-coderabbitai-api-key: <api-key>'import requests
url = "https://api.coderabbit.ai/v1/organizations/{organization_id}/repositories"
headers = {"x-coderabbitai-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-coderabbitai-api-key': '<api-key>'}};
fetch('https://api.coderabbit.ai/v1/organizations/{organization_id}/repositories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"repositories": [
{
"repository_id": "<string>",
"repository_name": "acme/backend",
"private": true,
"group_path": "<string>",
"is_installed": true
}
],
"next_cursor": "<string>"
}- CLI Tool
- MCP Server
coderabbit api request "/organizations/$ORGANIZATION_ID/repositories"
This operation isn’t a tool on the CodeRabbit MCP server. Call it over REST or from the CLI.
Authorizations
See Authentication for the key types and where to create a key.
Query Parameters
Was this page helpful?